export const lerp = (value1, value2, step) => {
  return value1 + (value2 - value1) * step;
  // a + (b-a)*t
};
export const clamp = (value, min, max) => {
  return Math.min(Math.max(value, min), max);
};

export const map = (num, a, b, c, d) => {
  return ((num - a) / (b - a)) * (d - c) + c;
};
